io.netty.handler.codec.mqtt

## Enum MqttVersion

- java.lang.Object
- - java.lang.Enum<MqttVersion>
  - - io.netty.handler.codec.mqtt.MqttVersion

All Implemented Interfaces:
  Serializable, Comparable<MqttVersion>

    public enum MqttVersion
    extends Enum<MqttVersion>

Mqtt version specific constant values used by multiple classes in mqtt-codec.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MQTT_3_1`
`MQTT_3_1_1`
`MQTT_5`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MqttVersion` `fromProtocolNameAndLevel(String protocolName, byte protocolLevel)`
`byte` `protocolLevel()`
`String` `protocolName()`
`byte[]` `protocolNameBytes()`
`static MqttVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MqttVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MQTT_3_1

    public static final MqttVersion MQTT_3_1

#### MQTT_3_1_1

    public static final MqttVersion MQTT_3_1_1

#### MQTT_5

    public static final MqttVersion MQTT_5

### Method Detail

#### values

    public static MqttVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MqttVersion c : MqttVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MqttVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### protocolName

    public String protocolName()

#### protocolNameBytes

    public byte[] protocolNameBytes()

#### protocolLevel

    public byte protocolLevel()

#### fromProtocolNameAndLevel

    public static MqttVersion fromProtocolNameAndLevel(String protocolName,
                                                       byte protocolLevel)